Bug 19119 - Remove t/db_dependent/api/v1/swagger/definitions.t
Summary: Remove t/db_dependent/api/v1/swagger/definitions.t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 18508
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-15 18:00 UTC by Tomás Cohen Arazi
Modified: 2017-10-27 11:47 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19119: Remove definitions.t (5.40 KB, patch)
2017-09-20 15:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19119: Remove definitions.t (5.58 KB, patch)
2017-09-20 19:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-08-15 18:00:35 UTC
While it might have seemed a good idea to have such a test, I find it useless as-is, because there's no obvious reason why we would expose our model on the API spec while it is just user-facing and not a technical explanation on how we do things inside our codebase.

A good example of this could be bug 18120, in which it is obvious that some attribute names are misleading or the attributes themselves need to be stripped out of the object for exposing on the API.

There can be ways of doing this two operations (i.e. removing/adding attributes, and renaming) without handling it on the controller as those patches do. But in any case, there's no need for definitions.t.

We could have a gentle 'warning' in the QA tools in case of a column being added to the DB structure and not to the corresponding endpoint, but it has to be a soft requirement IMO.
Comment 1 Tomás Cohen Arazi 2017-09-20 15:46:48 UTC
Created attachment 67241 [details] [review]
Bug 19119: Remove definitions.t

This patch removes t/db_dependent/api/v1/swagger/definitions.t

Its goal is not simple to achieve, and worth moving into the QA tools instead.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Jonathan Druart 2017-09-20 19:10:29 UTC
Created attachment 67267 [details] [review]
Bug 19119: Remove definitions.t

This patch removes t/db_dependent/api/v1/swagger/definitions.t

Its goal is not simple to achieve, and worth moving into the QA tools instead.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-09-20 19:11:00 UTC
Let remove it and see later if we need something else.
Comment 4 Jonathan Druart 2017-09-20 19:12:40 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-27 11:47:48 UTC
Enhancement not pushed to 17.05.x